//---------------------------------------------------------------------------

#ifndef UMainFormH
#define UMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ADODB.hpp>
#include <Db.hpp>
#include <DBCtrls.hpp>
#include <DBTables.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "msDBTreeView.hpp"
#include <Menus.hpp>
#include <ActnList.hpp>

const AnsiString RES_STR_MSG [6][2] =
{
    {"Add Folder?",    " ?"},
    {"Add File?",      " ?"},
    {"Delete Folder?", " ?"},
    {"Delete File?",   " ?"},
    {"Selected - Folder", " - "},
    {"Selected - File",   " - "}
};

//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
  TADODataSet *ADODataSet;
  TDataSource *DataSource;
  TImageList *ImgList_TreeView;
  TPanel *Panel_Top;
  TSpeedButton *SpeedButton1;
  TSpeedButton *SpeedButton2;
  TSpeedButton *SpeedButton3;
  TSpeedButton *SpeedButton4;
  TSpeedButton *SpeedButton5;
  TStatusBar *StatusBar;
  TmsDBTreeView *msDBTreeView;
  TDBRichEdit *DBRichEdit;
  TMainMenu *MainMenu;
  TMenuItem *MMenu_File;
  TMenuItem *Exit1;
  TMenuItem *MMenu_Language;
  TMenuItem *English1;
  TMenuItem *Russian1;
  TMenuItem *Open1;
  TMenuItem *Close1;
  TMenuItem *N1;
  TMenuItem *MMenu_Edit;
  TMenuItem *Addrecord1;
  TMenuItem *AddFolder1;
  TMenuItem *DeleteNode1;
  TActionList *ActionList;
  TAction *Action_FileOpen;
  TAction *Action_FileClose;
  TAction *Action_FileExit;
  TAction *Action_LanguageEnglish;
  TAction *Action_LanguageRussian;
  TAction *Action_EditAddFile;
  TAction *Action_EditAddFolder;
  TAction *Action_EditDelNode;
  TImageList *ImgList_MainMenu;
  void __fastcall msDBTreeViewSelectNode(TObject *Sender,
          TTreeNode *Node);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Action_FileOpenExecute(TObject *Sender);
  void __fastcall Action_FileCloseExecute(TObject *Sender);
  void __fastcall Action_FileExitExecute(TObject *Sender);
  void __fastcall Action_EditAddFileExecute(TObject *Sender);
  void __fastcall Action_EditAddFolderExecute(TObject *Sender);
  void __fastcall Action_EditDelNodeExecute(TObject *Sender);
  void __fastcall Action_LanguageEnglishExecute(TObject *Sender);
  void __fastcall Action_LanguageRussianExecute(TObject *Sender);
  void __fastcall msDBTreeViewBeforeAddNode(TObject *Sender, int _type,
          bool &Confirm);
  void __fastcall msDBTreeViewBeforeDelNode(TObject *Sender, int _type,
          bool &Confirm);
private:	// User declarations
  int ID_Lang;
  void __fastcall Open_Connection(const int Value);
  void __fastcall SwitchLanguage(const int ID);
public:		// User declarations
  __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
